For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList products
      • POSTCreate a product
      • GETGet product by ID
      • PUTUpdate product (full)
      • DELDelete product
      • PATCHUpdate product (partial)
Calculator
LogoLogo
EndpointsProducts

Delete product

DELETE
https://api.finput.com.au/api/v1/products/:id
DELETE
/api/v1/products/:id
$curl -X DELETE https://api.finput.com.au/api/v1/products/1 \
> -H "Authorization: Bearer <token>"
1{
2 "message": "message"
3}
Deletes a product. Fails with 409 if the product has associated rate brackets.
Was this page helpful?
Previous

Update product (partial)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired

Response

Product deleted
messagestring

Errors

409
Delete Product Request Conflict Error